Name:           jnr-constants
Version:        0.9.12
Release:        %mkrel 6
Group:          Development/Java
Summary:        Java Native Runtime constants 
License:        ASL 2.0
URL:            https://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

%description
Provides java values for common platform C constants (e.g. errno).

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete
%mvn_file : %{name}/%{name} %{name} constantine

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Unnecessary for RPM builds
%pom_remove_plugin ":maven-javadoc-plugin"

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Fri May 24 2024 ns80 <ns80> 0.9.12-6.mga10
+ Revision: 2067257
- rebuild for java 21

* Wed Jan 04 2023 daviddavid <daviddavid> 0.9.12-5.mga9
+ Revision: 1929927
- Remove unnecessary dependency on parent POM

* Sat Mar 26 2022 umeabot <umeabot> 0.9.12-3.mga9
+ Revision: 1827410
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1521412
- Mageia 8 Mass Rebuild

* Sat Dec 22 2018 daviddavid <daviddavid> 0.9.12-1.mga7
+ Revision: 1344381
- Update to latest upstream release 0.9.12

* Mon Dec 03 2018 daviddavid <daviddavid> 0.9.9-4.mga7
+ Revision: 1337833
- new version: 0.9.9 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 0.9.0-4.mga7
+ Revision: 1263648
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.9.0-2.mga6
+ Revision: 976425
- First rebuild of the java stack
- sync package jnr-constants with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0.8.4-5.mga5
+ Revision: 811544
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 0.8.4-4.mga5
+ Revision: 751018
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-2.mga4
+ Revision: 522302
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 0.8.4-1.mga3
+ Revision: 399161
- New version

* Tue Aug 02 2011 dmorgan <dmorgan> 0.7-1.mga2
+ Revision: 131280
- Fix file list
- Clean spec file
+ gil <gil>
- imported package jnr-constants


* Sat Jun 11 2011 gil <gil> 0.7-0.%%mkrel
- initial rpm